> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mufi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Balances

> Get the balances of a user's wallets for a given blockchain.



## OpenAPI

````yaml post /v1/users/balances
openapi: 3.1.0
info:
  title: Wallet API
  version: 2.72.0
servers:
  - url: https://dev.api.mufi.app/
    description: Staging
security: []
paths:
  /v1/users/balances:
    post:
      tags:
        - wallets
      summary: Get Wallet Balances
      description: Get the balances of a user's wallets for a given blockchain.
      requestBody:
        description: >-
          This `POST` endpoint allows querying a user by `email`, `id`, or
          `referenceId`. Use only one field per request. If multiple fields are
          provided, the priority is `email`, followed by `referenceId`, and then
          `id`.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserRequest'
      responses:
        '200':
          description: A successful response for user balances.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BalancesResponse'
        '400':
          description: A bad request will contain a list of errors for invalid fields.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: string
                required:
                  - errors
        '401':
          description: >-
            Unauthorized. The API key is missing or has expired if you are using
            a key with an expiration date that you configured when creating the
            key.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '403':
          description: >-
            Forbidden. The API key that you provided is not valid or does not
            exist.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '404':
          description: User not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - BearerAuth: []
components:
  schemas:
    UserRequest:
      type: object
      properties:
        id:
          type: string
          format: uuid
        email:
          type: string
          format: email
        referenceId:
          type: string
    BalancesResponse:
      type: array
      items:
        $ref: '#/components/schemas/Balances'
    Balances:
      type: object
      properties:
        address:
          type: string
        type:
          $ref: '#/components/schemas/WalletType'
        code:
          type: integer
        message:
          type: string
        generated_at:
          type: integer
        data:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/BalanceData'
      required:
        - address
        - type
        - code
        - message
        - generated_at
        - data
    WalletType:
      type: string
      enum:
        - Polkadot
    BalanceData:
      type: object
      properties:
        asset_id:
          type: string
        balance:
          type: string
        name:
          type: string
        symbol:
          type: string
        decimals:
          type: integer
        lock:
          type: string
      required:
        - asset_id
        - balance
        - name
        - symbol
        - decimals
        - lock
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: A JWT Access Token obtained from Google Cloud.

````